| GTK-EXTRA - Reference Manual

| Home

## Name

### Gtkplotbox - 3d scientific plots widget for gtk+

## Synopsis

    GtkType

    gtk_plot_box_get_type

    (void);

    GtkWidget*

    gtk_plot_box_new

    (GtkOrientation orientation);

    void

    gtk_plot_box_construct

    (GtkPlotBar *box,
    GtkOrientation orientation);

## Object Hierarchy

##
Args

## Signal Prototypes

    No signals

## Description

#### This is a Gtk Plot box widget. ;-)

##
Details

    struct _GtkPlotBox
    {
      GtkPlotData data;
      GtkOrientation orientation;
    };

##
Screenshot

### gtk_plot_box_get_type ()

    GtkType gtk_plot_box_get_type (void);

Returns |

##

### gtk_plot_box_new ()

    GtkWidget* gtk_plot_box_new (GtkOrientation orientation);

Create a new GtkPlotBox widget

orientation | GTK_ORIENTATION_HORIZONTAL, GTK_ORIENTATION_VERTICAL
Returns | a GtkPlotBox widget

### gtk_plot_box_construct ()

    void gtk_plot_box_construct (GtkPlotBar *box,
                                 GtkOrientation orientation);

Initialize a GtkPlotBox structure

bar | a GtkPlotBox widget
orientation | GTK_ORIENTATION_HORIZONTAL, GTK_ORIENTATION_VERTICAL

| Home |  |